tntdb::SqlError Class Reference

Exception, which is a direct result of a sql-statement. More...

`#include <error.h>`

Inheritance diagram for tntdb::SqlError:

## Public Member Functions

| SqlError (const std::string &sql_, const std::string &msg="sql error")
const std::string & | getSql () const
Public Member Functions inherited from tntdb::Error
| Error (const std::string &msg)
| constructor for a error-message More...

## Detailed Description

Exception, which is a direct result of a sql-statement.

The documentation for this class was generated from the following file:

- tntdb/error.h